# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    mkdirs("/opt/ldapadmin")
    filecopyto("LdapAdmin", "/opt/ldapadmin/LdapAdmin")
    run("chmod 755 /opt/ldapadmin/LdapAdmin")
    filecopyto('WAPT/icon.png','/opt/ldapadmin/ldapadmin.png')
    filecopyto('ldapadmin.desktop',"/opt/ldapadmin/ldapadmin.desktop")
    run('ln -sf "/opt/ldapadmin/ldapadmin.desktop" "/usr/share/applications/ldapadmin.desktop"')

def uninstall():
    remove_file("/usr/share/applications/ldapadmin.desktop")
    remove_tree("/opt/ldapadmin")


def audit():
    if not isfile("/opt/ldapadmin/LdapAdmin"):
        print("erreur file not found")
        return "ERROR"
    else:
        return "OK"
